GCLOUD_KMS_KEYS_VERSIONS(1)

NAME

gcloud kms keys versions - create and manage versions

SYNOPSIS

gcloud kms keys versions COMMAND [--key=KEY] [--keyring=KEYRING] [--location=LOCATION] [GLOBAL-FLAG ...]

DESCRIPTION
A version represents an individual cryptographic key and the associated key material.

FLAGS

    --key=KEY
        The containing key.

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

COMMANDS
COMMAND is one of the following:

    create
        Create a new version.

    describe
        Get metadata for a given version.

    destroy
        Schedule a version to be destroyed.

    disable
        Disable a given version.

    enable
        Enable a given version.

    list
        List the versions within a key.

    restore
        Restore a version scheduled for destruction.